diff --git a/doc/guides/rel_notes/faq.rst b/doc/guides/rel_notes/faq.rst
index dfc34e6..27eddb1 100644
--- a/doc/guides/rel_notes/faq.rst
+++ b/doc/guides/rel_notes/faq.rst
@@ -36,7 +36,7 @@ When running the test application, I get “EAL: map_all_hugepages(): open faile
 
 This is most likely due to the test application not being run with sudo to promote the user to a superuser.
 Alternatively, applications can also be run as regular user.
-For more information, please refer to *Intel® DPDK Getting Started Guide*.
+For more information, please refer to *DPDK Getting Started Guide*.
 
 If I want to change the number of TLB Hugepages allocated, how do I remove the original pages allocated?
 --------------------------------------------------------------------------------------------------------
@@ -49,7 +49,7 @@ If you look in the directory, you will see n number of 2M pages files. If you sp
 These are then placed in memory segments to get contiguous memory.
 
 If you need to change the number of pages, it is easier to first remove the pages. The tools/setup.sh script provides an option to do this.
-See the “Quick Start Setup Script” section in the *Intel® DPDK Getting Started Guide* for more information.
+See the “Quick Start Setup Script” section in the *DPDK Getting Started Guide* for more information.
 
 If I execute “l2fwd -c f -m 64 –n 3 -- -p 3”, I get the following output, indicating that there are no socket 0 hugepages to allocate the mbuf and ring structures to?
 -----------------------------------------------------------------------------------------------------------------------------------------------------------------------
@@ -59,14 +59,14 @@ I have set up a total of 1024 Hugepages (that is, allocated 512 2M pages to each
 The -m command line parameter does not guarantee that huge pages will be reserved on specific sockets. Therefore, allocated huge pages may not be on socket 0.
 To request memory to be reserved on a specific socket, please use the --socket-mem command-line parameter instead of -m.
 
-I am running a 32-bit Intel® DPDK application on a NUMA system, and sometimes the application initializes fine but cannot allocate memory. Why is that happening?
+I am running a 32-bit DPDK application on a NUMA system, and sometimes the application initializes fine but cannot allocate memory. Why is that happening?
 -----------------------------------------------------------------------------------------------------------------------------------------------------------------
 
 32-bit applications have limitations in terms of how much virtual memory is available, hence the number of hugepages they are able to allocate is also limited (1 GB per page size).
 If your system has a lot (>1 GB per page size) of hugepage memory, not all of it will be allocated.
 Due to hugepages typically being allocated on a local NUMA node, the hugepages allocation the application gets during the initialization depends on which
 NUMA node it is running on (the EAL does not affinitize cores until much later in the initialization process).
-Sometimes, the Linux OS runs the Intel® DPDK application on a core that is located on a different NUMA node from Intel® DPDK master core and
+Sometimes, the Linux OS runs the DPDK application on a core that is located on a different NUMA node from DPDK master core and
 therefore all the hugepages are allocated on the wrong socket.
 
 To avoid this scenario, either lower the amount of hugepage memory available to 1 GB per page size (or less), or run the application with taskset
@@ -102,7 +102,7 @@ Traditionally, there is a trade-off between throughput and latency. An applicati
 but the end-to-end latency of an average packet typically increases as a result.
 Similarly, the application can be tuned to have, on average, a low end-to-end latency at the cost of lower throughput.
 
-To achieve higher throughput, the Intel® DPDK attempts to aggregate the cost of processing each packet individually by processing packets in bursts.
+To achieve higher throughput, the DPDK attempts to aggregate the cost of processing each packet individually by processing packets in bursts.
 Using the testpmd application as an example, the “burst” size can be set on the command line to a value of 16 (also the default value).
 This allows the application to request 16 packets at a time from the PMD.
 The testpmd application then immediately attempts to transmit all the packets that were received, in this case, all 16 packets.
@@ -144,11 +144,11 @@ For best performance with NUMA disabled, only one socket should be populated.
 I am getting errors about not being able to open files. Why?
 ------------------------------------------------------------
 
-As the Intel® DPDK operates, it opens a lot of files, which can result in reaching the open files limits, which is set using the ulimit command or in the limits.conf file.
+As the DPDK operates, it opens a lot of files, which can result in reaching the open files limits, which is set using the ulimit command or in the limits.conf file.
 This is especially true when using a large number (>512) of 2 MB huge pages. Please increase the open file limit if your application is not able to open files.
 This can be done either by issuing a ulimit command or editing the limits.conf file. Please consult Linux* manpages for usage information.
 
-Does my kernel require patching to run the Intel® DPDK?
+Does my kernel require patching to run the DPDK?
 -------------------------------------------------------
 
 Any kernel greater than version 2.6.33 can be used without any patches applied. The following kernels may require patches to provide hugepage support:
diff --git a/doc/guides/rel_notes/known_issues.rst b/doc/guides/rel_notes/known_issues.rst
index 9601b01..64782bc 100644
--- a/doc/guides/rel_notes/known_issues.rst
+++ b/doc/guides/rel_notes/known_issues.rst
@@ -31,7 +31,7 @@
 Known Issues and Limitations
 ============================
 
-This section describes known issues with the Intel® DPDK software, Release 1.6.0.
+This section describes known issues with the DPDK software, Release 1.8.0.
 
 Pause Frame Forwarding does not work properly on igb
 ----------------------------------------------------
@@ -404,7 +404,7 @@ Multi-process sample app requires exact memory mapping
 | Implication                    | A multi-process client application fails to initialize.                              |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Resolution                     | See the “Multi-process Limitations” section in the Intel®  DPDK Programmer’s Guide   |
+| Resolution                     | See the “Multi-process Limitations” section in the DPDK Programmer’s Guide     |
 |                                | for more information.                                                                |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
@@ -536,7 +536,7 @@ PMD does not work with --no-huge EAL command line parameter
 | Reference #                    | IXA00373461                                                                          |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Description                    | Currently, the Intel® DPDK does not store any information about memory allocated by  |
+| Description                    | Currently, the DPDK does not store any information about memory allocated by         |
 |                                | malloc() (for example, NUMA node, physical address), hence PMD drivers do not work   |
 |                                | when the --no-huge command line parameter is supplied to EAL.                        |
 |                                |                                                                                      |
@@ -547,7 +547,7 @@ PMD does not work with --no-huge EAL command line parameter
 | Resolution/ Workaround         | Use huge page memory or use VFIO to map devices.                                     |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Affected Environment/ Platform | Systems running the Intel®  DPDK on Linux                                            |
+| Affected Environment/ Platform | Systems running the DPDK on Linux                                                    |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
 | Driver/Module                  | Poll Mode Driver (PMD)                                                               |
@@ -701,24 +701,23 @@ Discrepancies between statistics reported by different NICs
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
 
-Error reported opening files on Intel® DPDK initialization
+Error reported opening files on DPDK initialization
 ----------------------------------------------------------
 
-
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Title                          | Error reported opening files on Intel®  DPDK initialization                          |
+| Title                          | Error reported opening files on DPDK initialization                                  |
 |                                |                                                                                      |
 +================================+======================================================================================+
 | Reference #                    | 91                                                                                   |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Description                    | On Intel® DPDK application startup, errors may be reported when opening files as     |
+| Description                    | On DPDK application startup, errors may be reported when opening files as            |
 |                                | part of the initialization process. This occurs if a large number, for example, 500  |
 |                                | or more, or if hugepages are used, due to the per-process limit on the number of     |
 |                                | open files.                                                                          |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Implication                    | The Intel® DPDK application may fail to run.                                         |
+| Implication                    | The DPDK application may fail to run.                                                |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
 | Resolution/ Workaround         | If using 2 MB hugepages, consider switching to a fewer number of 1 GB pages.         |
@@ -890,11 +889,11 @@ GCC might generate Intel® AVX instructions forprocessors without Intel® AVX su
 | Reference #                    | IXA00382439                                                                          |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Description                    | When compiling Intel®  DPDK (and any Intel® DPDK app), gcc may generate Intel® AVX   |
+| Description                    | When compiling DPDK (and any DPDK app), gcc may generate Intel® AVX   |
 |                                | instructions, even when the processor does not support Intel® AVX.                   |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Implication                    | Any Intel® DPDK app might crash while starting up.                                   |
+| Implication                    | Any DPDK app might crash while starting up.                                   |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
 | Resolution/ Workaround         | Either compile using icc or set EXTRA_CFLAGS=’-O3’ prior to compilation.             |
@@ -917,7 +916,7 @@ Ethertype filter could receive other packets (non-assigned) in Niantic
 | Reference #                    | IXA00169017                                                                          |
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
-| Description                    | On Intel®  Ethernet Controller 82599EB:                                              |
+| Description                    | On Intel® Ethernet Controller 82599EB:                                              |
 |                                |                                                                                      |
 |                                | When Ethertype filter (priority enable) was set, unmatched packets also could be     |
 |                                | received on the assigned queue, such as ARP packets without 802.1q tags or with the  |
@@ -947,7 +946,7 @@ Ethertype filter could receive other packets (non-assigned) in Niantic
 +--------------------------------+--------------------------------------------------------------------------------------+
 
 Cannot set link speed on Intel® 40GbE ethernet controller
--------------------------------------------------------
+----------------------------------------------------------
 
 +--------------------------------+--------------------------------------------------------------------------------------+
 | Title                          | Cannot set link speed on Intel® 40G ethernet controller                              |
diff --git a/doc/guides/rel_notes/rel_description.rst b/doc/guides/rel_notes/rel_description.rst
index 07c897b..1dc3107 100644
--- a/doc/guides/rel_notes/rel_description.rst
+++ b/doc/guides/rel_notes/rel_description.rst
@@ -32,69 +32,75 @@ Description of Release
 ======================
 
 These release notes cover the new features,
-fixed bugs and known issues for Intel® Data Plane Development Kit (Intel® DPDK) release version 1.7.0.
+fixed bugs and known issues for Data Plane Development Kit (DPDK)
+release version 1.8.0.
 
-For instructions on compiling and running the release, see the *Intel® DPDK Getting Started Guide*.
+For instructions on compiling and running the release, see the *DPDK Getting Started Guide*.
 
-Important Note
---------------
 
-All Intel® DPDK questions and technical problems including those regarding the Ethernet* Controllers for the Poll Mode Driver should be reported through the Intel® Premier Support site
-`http://premier.intel.com/premier <http://premier.intel.com/premier>`_
-or access your IBL account and click the **Intel® Premier Support** link to enter issues under the Product Name “Data Plane Development Kit (DPDK)”,
-which are then routed to our support team.
+Using DPDK Upgrade Patches
+--------------------------
 
-Using Intel® DPDK Upgrade Patches
----------------------------------
-
-For minor updates to the main Intel® DPDK releases, the software may be made available both as a new full package and as a patch file to be applied to the previously released package.
-In the latter case, the following commands should be used to apply the patch on top of the already-installed package for the previous release:
+For minor updates to the main DPDK releases, the software may be made available both as
+a new full package and as a patch file to be applied to the previously released package.
+In the latter case, the following commands should be used to apply the patch on top of
+the already-installed package for the previous release:
 
 .. code-block:: console
 
     # cd $RTE_SDK
     # patch –p1 < /path/to/patch/file
 
-Once the patch has been applied cleanly, the Intel® DPDK can be recompiled and used as before (described in the *Intel® DPDK Getting Started Guide*).
+Once the patch has been applied cleanly, the DPDK can be recompiled and used as
+before (described in the *DPDK Getting Started Guide*).
 
 .. note::
 
-    If the patch does not apply cleanly, perhaps because of modifications made locally to the software,
-    it is recommended to use the full release package for the minor update, instead of using the patch.
+    If the patch does not apply cleanly, perhaps because of modifications made
+    locally to the software,it is recommended to use the full release
+    package for the minor update, instead of using the patch.
 
 Documentation Roadmap
 ---------------------
 
-The following is a list of Intel® DPDK documents in the suggested reading order:
+The following is a list of DPDK documents in the suggested reading order:
 
 *   **Release Notes**
-    (this document): Provides release-specific information, including supported features, limitations, fixed issues, known issues and so on.
+    (this document): Provides release-specific information, including supported
+    features, limitations, fixed issues, known issues and so on.
     Also, provides the answers to frequently asked questions in FAQ format.
 
 *   **Getting Started Guide**
-    : Describes how to install and configure the Intel® DPDK software; designed to get users up and running quickly with the software.
+    : Describes how to install and configure the DPDK software; designed
+    to get users up and running quickly with the software.
 
 *   **FreeBSD* Getting Started Guide**
-    : A document describing the use of the Intel® DPDK with FreeBSD* has been added in Intel® DPDK Release 1.6.0.
-    Refer to this guide for installation and configuration instructions to get started using the Intel® DPDK with FreeBSD*.
+    : A document describing the use of the DPDK with FreeBSD* has been added in
+    DPDK Release 1.7.0. Refer to this guide for installation and configuration
+    instructions to get started using the DPDK with FreeBSD*.
 
 *   **Programmer's Guide**
     : Describes:
 
-    *   The software architecture and how to use it (through examples), specifically in a Linux* application (linuxapp) environment
+    *   The software architecture and how to use it (through examples),
+        specifically in a Linux* application (linuxapp) environment
 
-    *   The content of the Intel® DPDK, the build system (including the commands that can be used in the root Intel® DPDK Makefile to build the development kit and an application)
-        and guidelines for porting an application
+    *   The content of the DPDK, the build system (including the commands
+        that can be used in the root DPDK Makefile to build the development
+        kit and an application) and guidelines for porting an application
 
-    *   Optimizations used in the software and those that should be considered for new development
+    *   Optimizations used in the software and those that should be considered for new
+        development
 
     A glossary of terms is also provided.
 
 *   **API Reference**
-    : Provides detailed information about Intel® DPDK functions, data structures and other programming constructs.
+    : Provides detailed information about DPDK functions, data structures and other
+    programming constructs.
 
 *   **Sample Applications User Guide**
-    : Describes a set of sample applications. Each chapter describes a sample application that showcases specific functionality and provides instructions on how to compile,
+    : Describes a set of sample applications. Each chapter describes a sample application
+    that showcases specific functionality and provides instructions on how to compile,
     run and use the sample application.
 
     The following sample applications are included:
@@ -158,11 +164,11 @@ The following is a list of Intel® DPDK documents in the suggested reading order
 
     Once the libraries are created, they can be found in the build/app directory.
 
-    *   The test application provides a variety of specific tests for the various functions in the Intel® DPDK.
+    *   The test application provides a variety of specific tests for the various functions in the DPDK.
 
     *   The testpmd application provides a number of different packet throughput tests and examples of features such as
         how to use the Flow Director found in the Intel® 82599 10 Gigabit Ethernet Controller.
 
-    The testpmd application is documented in the *Intel® DPDK Testpmd Application Note* (525362).
+    The testpmd application is documented in the *DPDK Testpmd Application Note*.
     The test application is not currently documented.
     However, you should be able to run and use test application with the command line help that is provided in the application.
diff --git a/doc/guides/rel_notes/resolved_issues.rst b/doc/guides/rel_notes/resolved_issues.rst
index 7e5e268..0eb1143 100644
--- a/doc/guides/rel_notes/resolved_issues.rst
+++ b/doc/guides/rel_notes/resolved_issues.rst
@@ -200,15 +200,15 @@ Device initialization failure with Intel® Ethernet Server Adapter X520-T2
 | Reference #                     | 55                                                                                    |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Description                     | If this device is bound to the Linux kernel IXGBE driver when the Intel® DPDK is      |
+| Description                     | If this device is bound to the Linux kernel IXGBE driver when the DPDK is             |
 |                                 | initialized, DPDK is initialized, the device initialization fails with error code -17 |
-|                                 | “IXGBE_ERR_PHY_ADDR_INVALID”.                                                         |
+|                                 | “IXGBE_ERR_PHY_ADDR_INVALID”.                                                     |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Implication                     | The device is not initialized and cannot be used by an application.                   |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Resolution/Workaround           | Introduced a small delay in device initialization to allow Intel® DPDK to always find |
+| Resolution/Workaround           | Introduced a small delay in device initialization to allow DPDK to always find        |
 |                                 | the device.                                                                           |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
@@ -219,11 +219,11 @@ Device initialization failure with Intel® Ethernet Server Adapter X520-T2
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 
-Intel® DPDK kernel module is incompatible with Linux kernel version 3.3
+DPDK kernel module is incompatible with Linux kernel version 3.3
 -----------------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Title                           | Intel® DPDK kernel module is incompatible with Linux kernel version 3.3               |
+| Title                           | DPDK kernel module is incompatible with Linux kernel version 3.3               |
 |                                 |                                                                                       |
 +=================================+=======================================================================================+
 | Reference #                     | IXA00373232                                                                           |
@@ -506,25 +506,25 @@ Promiscuous mode for 82580 NICs can only be enabled after a call to rte_eth_dev_
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 
-Incorrect CPU socket information reported in /proc/cpuinfo can prevent the Intel® DPDK from running
----------------------------------------------------------------------------------------------------
+Incorrect CPU socket information reported in /proc/cpuinfo can prevent the DPDK from running
+--------------------------------------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Title                           | Incorrect CPU socket information reported in /proc/cpuinfo can prevent the Intel®     |
+| Title                           | Incorrect CPU socket information reported in /proc/cpuinfo can prevent the            |
 |                                 | DPDK from running                                                                     |
 |                                 |                                                                                       |
 +=================================+=======================================================================================+
 | Reference #                     | 63                                                                                    |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Description                     | The Intel® DPDK users information supplied by the Linux  kernel to determine the      |
+| Description                     | The DPDK users information supplied by the Linux  kernel to determine the             |
 |                                 | hardware properties of the system being used. On rare occasions, information supplied |
 |                                 | by /proc/cpuinfo does not match that reported elsewhere. In some cases, it has been   |
 |                                 | observed that the CPU socket numbering given in /proc/cpuinfo is incorrect and this   |
-|                                 | can prevent Intel® DPDK from operating.                                               |
+|                                 | can prevent DPDK from operating.                                                      |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Implication                     | The Intel® DPDK cannot run on systems where /proc/cpuinfo does not report the correct |
+| Implication                     | The DPDK cannot run on systems where /proc/cpuinfo does not report the correct        |
 |                                 | CPU socket topology.                                                                  |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
@@ -578,7 +578,7 @@ L3FWD-VF might lose CRC bytes
 | Description                     | Currently, the CRC stripping configuration does not affect the VF driver.             |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Implication                     | Packets transmitted by the Intel® DPDK in the VM may be lacking 4 bytes (packet CRC). |
+| Implication                     | Packets transmitted by the DPDK in the VM may be lacking 4 bytes (packet CRC). |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Resolution/ Workaround          | Set “strip_crc” to 1 in the sample applications that use the VF PMD.                  |
@@ -591,11 +591,11 @@ L3FWD-VF might lose CRC bytes
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 
-32-bit Intel® DPDK sample applications fails when using more than one 1 GB hugepage
------------------------------------------------------------------------------------
+32-bit DPDK sample applications fails when using more than one 1 GB hugepage
+----------------------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Title                           | 32-bit Intel®  DPDK sample applications fails when using more than one 1 GB hugepage  |
+| Title                           | 32-bit DPDK sample applications fails when using more than one 1 GB hugepage          |
 |                                 |                                                                                       |
 +=================================+=======================================================================================+
 | Reference #                     | 31                                                                                    |
@@ -612,7 +612,7 @@ L3FWD-VF might lose CRC bytes
 | Resolution                      | EAL now limits virtual memory to 1 GB per page size.                                  |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Affected Environment/Platform   | 64-bit systems running 32-bit  Intel®  DPDK with 1 GB hugepages                       |
+| Affected Environment/Platform   | 64-bit systems running 32-bit DPDK with 1 GB hugepages                       |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Driver/Module                   | Environment Abstraction Layer (EAL)                                                   |
@@ -646,11 +646,11 @@ l2fwd fails to launch if the NIC is the Intel® 82571EB Gigabit Ethernet Control
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 
-32-bit Intel® DPDK applications may fail to initialize on 64-bit OS
--------------------------------------------------------------------
+32-bit DPDK applications may fail to initialize on 64-bit OS
+------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Title                           | 32-bit Intel® DPDK applications may fail to initialize on 64-bit OS                   |
+| Title                           | 32-bit DPDK applications may fail to initialize on 64-bit OS                          |
 |                                 |                                                                                       |
 +=================================+=======================================================================================+
 | Reference #                     | IXA00378513                                                                           |
@@ -739,12 +739,12 @@ Config file change can cause build to fail
 | Reference #                     | IXA00369247                                                                           |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Description                     | If a change in a config file results in some Intel® DPDK files that were needed no    |
+| Description                     | If a change in a config file results in some DPDK files that were needed no           |
 |                                 | longer being needed, the build will fail. This is because the \*.o file will still    |
 |                                 | exist, and the linker will try to link it.                                            |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Implication                     | Intel® DPDK compilation failure                                                       |
+| Implication                     | DPDK compilation failure                                                              |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Resolution                      | The Makefile now provides instructions to clean out old kernel module object files.   |
@@ -768,8 +768,8 @@ rte_cmdline library should not be used in production code due to limited testing
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Description                     | The rte_cmdline library provides a command line interface for use in sample           |
-|                                 | applications and test applications distributed as part of Intel® DPDK. However, it is |
-|                                 | not validated to the same standard as other Intel® DPDK libraries.                    |
+|                                 | applications and test applications distributed as part of DPDK. However, it is        |
+|                                 | not validated to the same standard as other DPDK libraries.                           |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Implication                     | It may contain bugs or errors that could cause issues in production applications.     |
@@ -904,7 +904,7 @@ When running multi-process applications, “rte_malloc” functions cannot be us
 -----------------------------------------------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Title                           | When running multi-process applications, “rte_malloc” functions cannot be used in     |
+| Title                           | When running multi-process applications, "rte_malloc" functions cannot be used in     |
 |                                 | secondary processes                                                                   |
 |                                 |                                                                                       |
 +=================================+=======================================================================================+
@@ -920,7 +920,7 @@ When running multi-process applications, “rte_malloc” functions cannot be us
 |                                 | and rte_realloc() cannot be used reliably in secondary processes.                     |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Resolution/ Workaround          | In addition to re-entrancy support, the Intel®  DPDK now supports the reservation of  |
+| Resolution/ Workaround          | In addition to re-entrancy support, the DPDK now supports the reservation of          |
 |                                 | a memzone from the primary thread or secondary threads. This is achieved by putting   |
 |                                 | the reservation-related control data structure of the memzone into shared memory.     |
 |                                 | Since rte_malloc functions request memory directly from the memzone, the limitation   |
@@ -934,8 +934,8 @@ When running multi-process applications, “rte_malloc” functions cannot be us
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 
-Configuring maximum packet length for IGB with VLAN enabled may not take intoaccount the length of VLAN tag
------------------------------------------------------------------------------------------------------------
+Configuring maximum packet length for IGB with VLAN enabled may not take into account the length of VLAN tag
+------------------------------------------------------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Title                           | Configuring maximum packet length for IGB with VLAN enabled may not take into account |
@@ -1017,18 +1017,18 @@ EAL can silently reserve less memory than requested
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 
-SSH connectivity with the board may be lost when starting an Intel® DPDK application
-------------------------------------------------------------------------------------
+SSH connectivity with the board may be lost when starting an DPDK application
+-----------------------------------------------------------------------------
 
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Title                           | SSH connectivity with the board may be lost when starting an Intel® DPDK application  |
+| Title                           | SSH connectivity with the board may be lost when starting an DPDK application         |
 |                                 |                                                                                       |
 +=================================+=======================================================================================+
 | Reference #                     | 26                                                                                    |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Description                     | Currently, the Intel®  DPDK takes over all the NICs found on the board that are       |
-|                                 | supported by the Intel® DPDK. This results in these NICs being removed from the NIC   |
+| Description                     | Currently, the DPDK takes over all the NICs found on the board that are               |
+|                                 | supported by the DPDK. This results in these NICs being removed from the NIC          |
 |                                 | set handled by the kernel,which has the side effect of any SSH connection being       |
 |                                 | terminated. See also issue #27.                                                       |
 |                                 |                                                                                       |
@@ -1036,11 +1036,11 @@ SSH connectivity with the board may be lost when starting an Intel® DPDK applic
 | Implication                     | Loss of network connectivity to board.                                                |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Resolution                      | Intel® DPDK now no longer binds ports on startup. Please refer to the Getting Started |
-|                                 | Guide for information on how to bind/unbind ports from Intel® DPDK.                   |
+| Resolution                      | DPDK now no longer binds ports on startup. Please refer to the Getting Started        |
+|                                 | Guide for information on how to bind/unbind ports from DPDK.                          |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Affected Environment/Platform   | Systems using a Intel®DPDK supported NIC for remote system access                     |
+| Affected Environment/Platform   | Systems using a DPDK supported NIC for remote system access                           |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Driver/Module                   | Environment Abstraction Layer (EAL)                                                   |
@@ -1065,12 +1065,12 @@ Remote network connections lost when running autotests or sample applications
 | Implication                     | Loss of network connectivity to board when connected remotely.                        |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Resolution                      | Intel® DPDK now no longer binds ports on startup.                                     |
+| Resolution                      | DPDK now no longer binds ports on startup.                                            |
 |                                 | Please refer to the Getting Started Guide for information on how to bind/unbind ports |
-|                                 | from Intel® DPDK.                                                                     |
+|                                 | from DPDK.                                                                            |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Affected Environment/Platform   | Systems using a Intel® DPDK supported NIC for remote system access                    |
+| Affected Environment/Platform   | Systems using a DPDK supported NIC for remote system access                           |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Driver/Module                   | Sample applications                                                                   |
@@ -1089,10 +1089,10 @@ KNI may not work properly in a multi-process environment
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Description                     | Some of the network interface operations such as, MTU change or link UP/DOWN, when    |
 |                                 | executed on KNI interface, might fail in a multi-process environment, although they   |
-|                                 | are normally successful in the Intel® DPDK single process environment.                |
+|                                 | are normally successful in the DPDK single process environment.                       |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Implication                     | Some network interface operations on KNI cannot be used in an Intel® DPDK             |
+| Implication                     | Some network interface operations on KNI cannot be used in an DPDK                    |
 |                                 | multi-process environment.                                                            |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
@@ -1119,14 +1119,14 @@ Hash library cannot be used in multi-process applications with multiple binaries
 | Description                     | The hash function used by a given hash-table implementation is referenced in the code |
 |                                 | by way of a function pointer. This means that it cannot work in cases where the hash  |
 |                                 | function is at a different location in the code segment in different processes, as is |
-|                                 | the case where an Intel® DPDK multi-process application uses a number of different    |
+|                                 | the case where an DPDK multi-process application uses a number of different           |
 |                                 | binaries, for example, the client-server multi-process example.                       |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
 | Implication                     | The Hash library will not work if shared by multiple processes.                       |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Resolution/Workaround           | New API was added for multiprocess scenario. Please refer to Intel® DPDK Programmer’s |
+| Resolution/Workaround           | New API was added for multiprocess scenario. Please refer to DPDK Programmer's        |
 |                                 | Guide for more information.                                                           |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
@@ -1182,7 +1182,7 @@ Packet reception issues when virtualization is enabled
 | Implication                     | An application requiring packet transmission or reception will not function.          |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
-| Resolution/Workaround           | Intel® DPDK Poll Mode Driver now has the ability to map correct physical addresses to |
+| Resolution/Workaround           | DPDK Poll Mode Driver now has the ability to map correct physical addresses to        |
 |                                 | the device structures.                                                                |
 |                                 |                                                                                       |
 +---------------------------------+---------------------------------------------------------------------------------------+
diff --git a/doc/guides/rel_notes/supported_features.rst b/doc/guides/rel_notes/supported_features.rst
index 5d5ba70..6cbdbad 100644
--- a/doc/guides/rel_notes/supported_features.rst
+++ b/doc/guides/rel_notes/supported_features.rst
@@ -87,7 +87,7 @@ Supported Features
 
 *   New VMXNET3 driver for the paravirtual device presented to a VM by the VMware* ESXi Hypervisor.
 
-*   BETA: example support for basic Netmap applications on Intel® DPDK
+*   BETA: example support for basic Netmap applications on DPDK
 
 *   Support for the wireless KASUMI algorithm in the dpdk_qat sample application
 
@@ -362,7 +362,7 @@ Supported Features
 
 *   Header files for common protocols (IP, SCTP, TCP, UDP)
 
-*   Improved multi-process application support, allowing multiple co-operating Intel® DPDK
+*   Improved multi-process application support, allowing multiple co-operating DPDK
     processes to access the NIC port queues directly.
 
 *   CPU-specific compiler optimization
diff --git a/doc/guides/rel_notes/supported_os.rst b/doc/guides/rel_notes/supported_os.rst
index fb23dda..a7657d5 100644
--- a/doc/guides/rel_notes/supported_os.rst
+++ b/doc/guides/rel_notes/supported_os.rst
@@ -31,7 +31,7 @@
 Supported Operating Systems
 ===========================
 
-The following Linux* distributions were successfully used to generate or run the Intel® DPDK.
+The following Linux* distributions were successfully used to generate or run the DPDK.
 
 *   FreeBSD* 9.2
 
@@ -46,4 +46,4 @@ The following Linux* distributions were successfully used to generate or run the
 *   SUSE Enterprise Linux* 11 SP2
 
 These distributions may need additional packages that are not installed by default, or a specific kernel.
-Refer to the *Intel® DPDK Getting Started Guide* for details.
+Refer to the *DPDK Getting Started Guide* for details.
diff --git a/doc/guides/rel_notes/updating_apps.rst b/doc/guides/rel_notes/updating_apps.rst
index ba8012d..a530b90 100644
--- a/doc/guides/rel_notes/updating_apps.rst
+++ b/doc/guides/rel_notes/updating_apps.rst
@@ -1,11 +1,15 @@
 Updating Applications from Previous Versions
 ============================================
 
-Although backward compatibility is being maintained across Intel® DPDK releases, code written for previous versions of the Intel® DPDK
-may require some code updates to benefit from performance and user experience enhancements provided in later Intel® DPDK releases.
+Although backward compatibility is being maintained across DPDK releases, code written for previous versions of the DPDK
+may require some code updates to benefit from performance and user experience enhancements provided in later DPDK releases.
 
-Intel® DPDK 1.6 to Intel® DPDK 1.7
-----------------------------------
+DPDK 1.7 to DPDK 1.8
+--------------------
+
+
+Intel® DPDK 1.6 to DPDK 1.7
+----------------------------
 
 Note the following difference between 1.6 and 1.7:
 