diff --git a/doc/guides/linux_gsg/quick_start.rst b/doc/guides/linux_gsg/quick_start.rst
index 089dddb..a99b8fa 100644
--- a/doc/guides/linux_gsg/quick_start.rst
+++ b/doc/guides/linux_gsg/quick_start.rst
@@ -122,15 +122,21 @@ Some options in the script prompt the user for further data before proceeding.
 
     [2] i686-native-linuxapp-icc
 
-    [3] x86_64-ivshmem-linuxapp-gcc
+    [3] ppc_64-power8-linuxapp-gcc
 
-    [4] x86_64-ivshmem-linuxapp-icc
+    [4] x86_64-ivshmem-linuxapp-gcc
 
-    [5] x86_64-native-bsdapp-gcc
+    [5] x86_64-ivshmem-linuxapp-icc
 
-    [6] x86_64-native-linuxapp-gcc
+    [6] x86_64-native-bsdapp-clang
 
-    [7] x86_64-native-linuxapp-icc
+    [7] x86_64-native-bsdapp-gcc
+
+    [8] x86_64-native-linuxapp-clang
+
+    [9] x86_64-native-linuxapp-gcc
+
+    [10] x86_64-native-linuxapp-icc
 
     ------------------------------------------------------------------------
 
@@ -138,23 +144,23 @@ Some options in the script prompt the user for further data before proceeding.
 
     ------------------------------------------------------------------------
 
-    [8] Insert IGB UIO module
+    [11] Insert IGB UIO module
 
-    [9] Insert VFIO module
+    [12] Insert VFIO module
 
-    [10] Insert KNI module
+    [13] Insert KNI module
 
-    [11] Setup hugepage mappings for non-NUMA systems
+    [14] Setup hugepage mappings for non-NUMA systems
 
-    [12] Setup hugepage mappings for NUMA systems
+    [15] Setup hugepage mappings for NUMA systems
 
-    [13] Display current Ethernet device settings
+    [16] Display current Ethernet device settings
 
-    [14] Bind Ethernet device to IGB UIO module
+    [17] Bind Ethernet device to IGB UIO module
 
-    [15] Bind Ethernet device to VFIO module
+    [18] Bind Ethernet device to VFIO module
 
-    [16] Setup VFIO permissions
+    [19] Setup VFIO permissions
 
     ------------------------------------------------------------------------
 
@@ -162,9 +168,9 @@ Some options in the script prompt the user for further data before proceeding.
 
     ------------------------------------------------------------------------
 
-    [17] Run test application ($RTE_TARGET/app/test)
+    [20] Run test application ($RTE_TARGET/app/test)
 
-    [18] Run testpmd application in interactive mode ($RTE_TARGET/app/testpmd)
+    [21] Run testpmd application in interactive mode ($RTE_TARGET/app/testpmd)
 
     ------------------------------------------------------------------------
 
@@ -172,7 +178,7 @@ Some options in the script prompt the user for further data before proceeding.
 
     ------------------------------------------------------------------------
 
-    [19] List hugepage info from /proc/meminfo
+    [22] List hugepage info from /proc/meminfo
 
     ------------------------------------------------------------------------
 
@@ -180,19 +186,19 @@ Some options in the script prompt the user for further data before proceeding.
 
     ------------------------------------------------------------------------
 
-    [20] Uninstall all targets
+    [23] Uninstall all targets
 
-    [21] Unbind NICs from IGB UIO driver
+    [24] Unbind NICs from IGB UIO driver
 
-    [22] Remove IGB UIO module
+    [25] Remove IGB UIO module
 
-    [23] Remove VFIO module
+    [26] Remove VFIO module
 
-    [24] Remove KNI module
+    [27] Remove KNI module
 
-    [25] Remove hugepage mappings
+    [28] Remove hugepage mappings
 
-    [26] Exit Script
+    [29] Exit Script
 
 Option:
 
@@ -200,7 +206,7 @@ The following selection demonstrates the creation of the x86_64-native-linuxapp-
 
 .. code-block:: console
 
-    Option: 4
+    Option: 9
 
     ================== Installing x86_64-native-linuxapp-gcc
 
@@ -216,7 +222,7 @@ The following selection demonstrates the starting of the Intel® DPDK UIO driver
 
 .. code-block:: console
 
-    Option: 5
+    Option: 25
 
     Unloading any existing DPDK UIO module
     Loading DPDK UIO module
@@ -232,10 +238,10 @@ The result is that the application should use -m 4096 for starting the applicati
 
 .. code-block:: console
 
-    Option: 11
+    Option: 15
 
     Removing currently reserved hugepages
-    nmounting /mnt/huge and removing directory
+    Unmounting /mnt/huge and removing directory
     Input the number of 2MB pages for each node
     Example: to have 128MB of hugepages available per node,
     enter '64' to reserve 64 * 2MB pages on each node
@@ -248,7 +254,7 @@ The following selection demonstrates the launch of the test application to run o
 
 .. code-block:: console
 
-    Option: 14
+    Option: 20
 
     Enter hex bitmask of cores to execute test app on
     Example: to execute app on cores 0 to 7, enter 0xff