diff --git a/doc/guides/rel_notes/known_issues.rst b/doc/guides/rel_notes/known_issues.rst
index 8ef654a..1f45834 100644
--- a/doc/guides/rel_notes/known_issues.rst
+++ b/doc/guides/rel_notes/known_issues.rst
@@ -338,6 +338,12 @@ Not all variants of supported NIC types have been used in testing
 |                                |                                                                                      |
 |                                | The NIC device identifiers used during testing:                                      |
 |                                |                                                                                      |
+|                                | *   Intel(R) Ethernet Controller XL710 for 40GbE QSFP+ [8086:1584]                     |
+|                                |                                                                                      |
+|                                | *   Intel(R) Ethernet Controller XL710 for 40GbE QSFP+ [8086:1583]                     |
+|                                |                                                                                      |
+|                                | *   Intel(R) Ethernet Controller X710 for 10GbE SFP+ [8086:1572]                       |
+|                                |                                                                                      |
 |                                | *   Intel® 82576 Gigabit Ethernet Controller [8086:10c9]                             |
 |                                |                                                                                      |
 |                                | *   Intel® 82576 Quad Copper Gigabit Ethernet Controller [8086:10e8]                 |
@@ -940,37 +946,7 @@ Ethertype filter could receive other packets (non-assigned) in Niantic
 |                                |                                                                                      |
 +--------------------------------+--------------------------------------------------------------------------------------+
 
-Double VLAN does not work on Intel® 40G ethernet controller
------------------------------------------------------------
-
-+--------------------------------+--------------------------------------------------------------------------------------+
-| Title                          | Double VLAN does not work on Intel®  40G ethernet controller                         |
-|                                |                                                                                      |
-+================================+======================================================================================+
-| Reference #                    | IXA00386480                                                                          |
-|                                |                                                                                      |
-+--------------------------------+--------------------------------------------------------------------------------------+
-| Description                    | On Intel® 40G Ethernet Controller:                                                   |
-|                                |                                                                                      |
-|                                | Double VLAN does not work. This was confirmed a firmware issue which will be fixed   |
-|                                | in later versions of firmware.                                                       |
-|                                |                                                                                      |
-+--------------------------------+--------------------------------------------------------------------------------------+
-| Implication                    | After setting double vlan to be enabled on a port, no packets can be transmitted out |
-|                                | on that port.                                                                        |
-|                                |                                                                                      |
-+--------------------------------+--------------------------------------------------------------------------------------+
-| Resolution/ Workaround         | None                                                                                 |
-|                                |                                                                                      |
-+--------------------------------+--------------------------------------------------------------------------------------+
-| Affected Environment/ Platform | All                                                                                  |
-|                                |                                                                                      |
-+--------------------------------+--------------------------------------------------------------------------------------+
-| Driver/Module                  | Poll Mode Driver (PMD)                                                               |
-|                                |                                                                                      |
-+--------------------------------+--------------------------------------------------------------------------------------+
-
-Cannot set link speed on Intel® 40G ethernet controller
+Cannot set link speed on Intel® 40GbE ethernet controller
 -------------------------------------------------------
 
 +--------------------------------+--------------------------------------------------------------------------------------+